ch.qos.logback.core.joran.spi

## Class ConfigurationWatchList

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.spi.ConfigurationWatchList

All Implemented Interfaces:
  ContextAware

    public class ConfigurationWatchList
    extends ContextAwareBase

Author:
  Ceki Gücü

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationWatchList()`

### Method Summary

Methods
`void` `addToWatchList(java.net.URL url)`
`boolean` `changeDetected()`
`void` `clear()`
`java.util.List<java.io.File>` `getCopyOfFileWatchList()`
`java.net.URL` `getMainURL()`
`void` `setMainURL(java.net.URL mainURL)` The mainURL for the configuration file.

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationWatchList

    public ConfigurationWatchList()

### Method Detail

#### clear

    public void clear()

#### setMainURL

    public void setMainURL(java.net.URL mainURL)

The mainURL for the configuration file. Null values are allowed.

Parameters:
  `mainURL` -

#### addToWatchList

    public void addToWatchList(java.net.URL url)

#### getMainURL

    public java.net.URL getMainURL()

#### getCopyOfFileWatchList

    public java.util.List<java.io.File> getCopyOfFileWatchList()

#### changeDetected

    public boolean changeDetected()